Page MenuHomePhabricator

Regression: long lines are not broken on diff pages breaking viewport
Closed, ResolvedPublic1 Estimate Story Points

Description

Problem

Long lines in diffs are not broken. This breaks the default visual diff display.

Acceptance criteria

  • Add css rule to #mw-mf-diffarea on diff pages
word-break: break-all;

Original report

OS: Android 5.1.0
App: Chrome 58.0.3029.83

Logged in.

Using the diff screen.

Issues:

  1. The "Poděkovat" (Thanks) button can be partially or fully pushed out of the screen if the diff contains some long, unbroken line/URL (which escapes from the screen too).
  2. The "Poděkovat" (Thanks) button has almost no space between the icon and the text.
  3. The pop-up can cover up a big chunk of the screen while it cannot be collapsed or closed. It has probably some feature implemented, which should roll it down/under when rolling the screen, but this is very unreliable. It can persist or it can roll/fall deep below the page footer.

Examples (no luck with direct upload of pictures, so stored them on Commons):

https://en.m.wikipedia.org/wiki/Special:MobileDiff/787296831

See https://commons.wikimedia.org/wiki/File:Mobile_diff_screen_01.jpg for picture. Note that the "Poděkovat" button is partially pushed out of the screen. No space between the icon and the word "Poděkovat".

https://cs.m.wikipedia.org/wiki/Speci%C3%A1ln%C3%AD:Mobiln%C3%AD_rozd%C3%ADl/14558618


See https://commons.wikimedia.org/wiki/File:Mobile_diff_screen_02.jpg for picture. Note that the pop-up is deep below the page footer.

QA steps

Details

Related Gerrit Patches:
mediawiki/extensions/MobileFrontend : masterBreak long lines on diff pages

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 26 2017, 7:33 PM
Jdlrobson updated the task description. (Show Details)Jun 27 2017, 8:39 PM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptJun 27 2017, 8:42 PM
Jdlrobson triaged this task as Medium priority.Jun 27 2017, 8:43 PM
Jdlrobson renamed this task from The attribution pop-up on the mobile diff screen has multiple issues to Regression: long lines are not broken on diff pages breaking viewport .Jun 28 2017, 12:45 AM
Jdlrobson added a project: Regression.

If you mean the out of the screen button ("Poděkovat"), then no. The button is placed correctly. The rolling also stops directly below the page footer (as probably expected).

Btw. please notice the unusual (and unneeded?) empty space between the end of the diff and the footer (it's about half screen high). From the casual look, this empty place is probably present on every diff page.

Jdlrobson set the point value for this task to 1.Jun 28 2017, 5:27 PM

Change 363483 had a related patch set uploaded (by Bmansurov; owner: Bmansurov):
[mediawiki/extensions/MobileFrontend@master] Break long lines on diff pages

https://gerrit.wikimedia.org/r/363483

Jdlrobson reassigned this task from bmansurov to ABorbaWMF.Jul 5 2017, 9:55 PM
Jdlrobson updated the task description. (Show Details)
Jdlrobson added a subscriber: bmansurov.

Over to you for testing! Change should be live in about 10 minutes from now on the beta cluster.

Change 363483 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Break long lines on diff pages

https://gerrit.wikimedia.org/r/363483

@ABorbaWMF - over to you for testing

Jdlrobson moved this task from Backlog to Bugs on the MobileFrontend board.Jul 13 2017, 5:43 PM

Testing on the beta cluster. I tried with couple of real android devices and a couple of real ios devices. Everything looks ok.

Jdlrobson closed this task as Resolved.Jul 13 2017, 9:58 PM

:)

I presume this will go live next week?

It's in wmf9 so should have been live on all wikis by now but current train is blocked (see wikitech). Hopefully that will be unblocked soon!